<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb</groupId>
    <artifactId>root</artifactId>
    <version>1.8.2.2</version>
    <relativePath>../../pom.xml</relativePath>
  </parent>
  <groupId>com.h2database</groupId>
  <artifactId>h2</artifactId>
  <version>1.4.199-ENTAXY</version>
  <packaging>bundle</packaging>
  <name>h2 repacked</name>
  <description>h2 repacked</description>
  
  <properties>
  	<bundle.osgi.import.pkg>
  		javax.crypto,
		javax.crypto.spec,
		javax.management,
		javax.naming;resolution:=optional,
		javax.naming.directory;resolution:=optional,
		javax.naming.spi;resolution:=optional,
		javax.net,
		javax.net.ssl,
		javax.script;resolution:=optional,
		javax.security.auth.callback;resolution:=optional,
		javax.security.auth.login;resolution:=optional,
		javax.servlet;resolution:=optional,
		javax.servlet.http;resolution:=optional,
		javax.sql,
		javax.tools;resolution:=optional,
		javax.transaction.xa;resolution:=optional,
		javax.xml.parsers;resolution:=optional,
		javax.xml.stream;resolution:=optional,
		javax.xml.transform;resolution:=optional,
		javax.xml.transform.dom;resolution:=optional,
		javax.xml.transform.sax;resolution:=optional,
		javax.xml.transform.stax;resolution:=optional,
		javax.xml.transform.stream;resolution:=optional,
		org.w3c.dom;resolution:=optional,
		org.xml.sax;resolution:=optional,
		org.xml.sax.helpers;resolution:=optional,
		org.apache.lucene.analysis;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.analysis.standard;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.document;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.index;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.queryparser;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.search;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.store;version="[5.5.5,8.0.0)";resolution:=optional,
		org.apache.lucene.util;version="[5.5.5,8.0.0)";resolution:=optional,
		org.locationtech.jts.geom;version="1.15.0";resolution:=optional,
		org.locationtech.jts.io;version="1.15.0";resolution:=optional,
		org.osgi.framework;version="1.5",
		org.osgi.service.jdbc;version="1.0";resolution:=optional,
		org.slf4j;version="[1.6.0,1.7.0)";resolution:=optional
  	</bundle.osgi.import.pkg>
  	<bundle.osgi.export.pkg>org.h2*</bundle.osgi.export.pkg>
  </properties>
  
  <dependencies>
  	<dependency>
	  <groupId>com.h2database</groupId>
	  <artifactId>h2</artifactId>
	  <version>1.4.199</version>
  	</dependency>
  </dependencies>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-dependency-plugin</artifactId>
				<executions>
					<execution>
						<!-- unpack entaxy-karaf zip distribution as a content for kar -->
						<id>unpack</id>
						<phase>prepare-package</phase>
						<goals>
							<goal>unpack</goal>
						</goals>
						<configuration>
							<artifactItems>
								<artifactItem>
								  <groupId>com.h2database</groupId>
								  <artifactId>h2</artifactId>
								  <version>1.4.199</version>
								</artifactItem>
							</artifactItems>		
							<outputDirectory>${project.build.directory}/classes</outputDirectory>				
						</configuration>
					</execution>
				</executions>
			</plugin>
		    <plugin>
		        <groupId>org.apache.karaf.tooling</groupId>
		        <artifactId>karaf-services-maven-plugin</artifactId>
		        <configuration>
		        	<skip>true</skip>
		        </configuration>
			</plugin>			
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <version>${maven-bundle-plugin.version}</version>
                <extensions>true</extensions>
                <configuration>
                	<obrRepository>NONE</obrRepository>
                    <instructions>
						<Implementation-Title>H2 Database Engine</Implementation-Title>
						<Implementation-URL>http://www.h2database.com</Implementation-URL>
						<Implementation-Version>1.4.199</Implementation-Version>
						<Build-Jdk>1.7</Build-Jdk>
						<Created-By>1.7.0_80-b15 (Oracle Corporation)</Created-By>
						<Main-Class>org.h2.tools.Console</Main-Class>
						<Automatic-Module-Name>com.h2database</Automatic-Module-Name>
						<Bundle-Activator>org.h2.util.DbDriverActivator</Bundle-Activator>
						<Bundle-ManifestVersion>2</Bundle-ManifestVersion>
						<Bundle-Name>H2 Database Engine</Bundle-Name>
						<Bundle-SymbolicName>com.h2database</Bundle-SymbolicName>
						<Bundle-Vendor>H2 Group</Bundle-Vendor>
						<Bundle-Version>1.4.199</Bundle-Version>
						<Bundle-License>http://www.h2database.com/html/license.html</Bundle-License>
						<Bundle-Category>jdbc</Bundle-Category>
						<Multi-Release>true</Multi-Release>
						<Provide-Capability>osgi.service;objectClass:List&lt;String&gt;=org.osgi.service.jdbc.DataSourceFactory</Provide-Capability>
						<Premain-Class>org.h2.util.Profiler</Premain-Class>
						<Include-Resource>META-INF/services/java.sql.Driver=target/classes/META-INF/services/java.sql.Driver</Include-Resource>
						<_dsannotations></_dsannotations>					
					</instructions>
				</configuration>
			</plugin>			
		</plugins>
	</build>
  
</project>